Bug 75156 - /etc/init.d/postgresql inconsistency.
/etc/init.d/postgresql inconsistency.
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: postgresql (Show other bugs)
7.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Tom Lane
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-04 17:46 EDT by Terje Kvernes
Modified: 2013-07-02 22:59 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-25 15:51:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Terje Kvernes 2002-10-04 17:46:28 EDT
/etc/init.d/postgresql uses $PGDATA as a variable containing the path to the
database, but still hardcodes the database path if it has to init the database.
 line 122, looks as follows:

su -l postgres -s /bin/sh -c "/usr/bin/initdb --pgdata=/var/lib/pgsql/data >
/dev/null 2>&1" < /dev/null

exchanging /var/lib/pgsql/data with $PGDATA might be a good idea. ;-)
Comment 1 Andrew Overholt 2003-03-04 12:35:15 EST
Assigning to me.
Comment 2 Andrew Overholt 2003-03-12 17:56:22 EST
Reassigning.
Comment 3 Tom Lane 2004-08-25 15:51:01 EDT
This seems to have been fixed somewhere along the way --- the current
initscripts use $PGDATA appropriately AFAICS.

Note You need to log in before you can comment on or make changes to this bug.